org.apache.tinkerpop.gremlin.process.traversal.step.map

## Enum LambdaCollectingBarrierStep.Consumers

- java.lang.Object
- - java.lang.Enum<LambdaCollectingBarrierStep.Consumers>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.LambdaCollectingBarrierStep.Consumers

- All Implemented Interfaces:
    Serializable, Comparable<LambdaCollectingBarrierStep.Consumers>, Consumer<TraverserSet<Object>>
  Enclosing class:
    LambdaCollectingBarrierStep<S>

  Deprecated.
  As of release 3.2.0, replaced by use of `NoOpBarrierStep`.

      @Deprecated
      public static enum LambdaCollectingBarrierStep.Consumers
      extends Enum<LambdaCollectingBarrierStep.Consumers>
      implements Consumer<TraverserSet<Object>>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `noOp` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LambdaCollectingBarrierStep.Consumers` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static LambdaCollectingBarrierStep.Consumers[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `accept, andThen`

- - ### Enum Constant Detail

    - #### noOp

          public static final LambdaCollectingBarrierStep.Consumers noOp

      Deprecated.

  - ### Method Detail

    - #### values

          public static LambdaCollectingBarrierStep.Consumers[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LambdaCollectingBarrierStep.Consumers c : LambdaCollectingBarrierStep.Consumers.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LambdaCollectingBarrierStep.Consumers valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.